Create workflow execution
Validate the “workflow-config” previously created by utilizing the unique “configId”. This step requires the mandatory field amount, and allows for modifications to other fields defined via the “workflow-config” endpoint, including pre-screening preferences. A response containing the “workflowExecutionId” and detailing the validation status will be provided. Execution is ready when the “workflow-execution” status is READY_FOR_LAUNCH, at which point it can be initiated with “POST /workflow-execution//actions/execute”.
curl --request POST \
--url https://api.fireblocks.io/v1/payments/workflow_execution \
--header 'Content-Type: application/json' \
--data '
{
"configId": "<string>",
"params": [
{
"configOperationId": "<string>",
"executionParams": {
"amount": "<string>",
"accountId": "<string>",
"srcAssetId": "<string>",
"destAssetId": "<string>",
"slippageBasisPoints": 5000
}
}
],
"externalCorrelationData": {}
}
'import requests
url = "https://api.fireblocks.io/v1/payments/workflow_execution"
payload = {
"configId": "<string>",
"params": [
{
"configOperationId": "<string>",
"executionParams": {
"amount": "<string>",
"accountId": "<string>",
"srcAssetId": "<string>",
"destAssetId": "<string>",
"slippageBasisPoints": 5000
}
}
],
"externalCorrelationData": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
configId: '<string>',
params: [
{
configOperationId: '<string>',
executionParams: {
amount: '<string>',
accountId: '<string>',
srcAssetId: '<string>',
destAssetId: '<string>',
slippageBasisPoints: 5000
}
}
],
externalCorrelationData: {}
})
};
fetch('https://api.fireblocks.io/v1/payments/workflow_execution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "<string>",
"configSnapshot": {
"configId": "<string>",
"configName": "<string>",
"createdAt": 123,
"configOperations": [
{
"operationId": "<string>",
"type": "CONVERSION",
"params": {
"destAssetId": "<string>",
"amount": "<string>",
"accountId": "<string>",
"srcAssetId": "<string>",
"slippageBasisPoints": 5000
}
}
],
"externalCorrelationData": {}
},
"executionOperations": [
{
"operationId": "<string>",
"operationType": "SCREENING",
"validationFailure": {
"reason": "SCREENING_DISABLED_IN_TENANT",
"data": {}
},
"execution": {
"startedAt": 123,
"output": {
"verdicts": [
{
"executionOperationId": "<string>",
"account": {
"accountId": "<string>"
},
"assetId": "<string>",
"amount": "<string>",
"matchedRule": {
"action": "<string>",
"category": [
"<string>"
]
}
}
]
},
"finishedAt": 123,
"failure": {
"data": {
"verdicts": [
{
"executionOperationId": "<string>",
"account": {
"accountId": "<string>"
},
"assetId": "<string>",
"amount": "<string>",
"matchedRule": {
"action": "<string>",
"category": [
"<string>"
]
}
}
]
}
}
}
}
],
"preScreening": {
"enabled": true
},
"triggeredBy": "<string>",
"triggeredAt": 123,
"finishedAt": 123,
"externalCorrelationData": {}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Body
Response
Workflow execution entity has been created successfully.
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
PENDING, VALIDATION_IN_PROGRESS, VALIDATION_FAILED, VALIDATION_COMPLETED, PREVIEW_IN_PROGRESS, PREVIEW_FAILED, READY_FOR_LAUNCH, EXECUTION_IN_PROGRESS, EXECUTION_COMPLETED, EXECUTION_FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
